summaryrefslogtreecommitdiff
path: root/tests/mv/into-self
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-08-16 03:05:01 +0000
committerJim Meyering <jim@meyering.net>1998-08-16 03:05:01 +0000
commit9c5fb998646ceb398d287d2d1cd6d521d9e6ad8b (patch)
tree2de6f11c317c88eefe0abc44b94742fa46f47753 /tests/mv/into-self
parent1145211d6b526133f8f918c9c9cd84ad3c933f9e (diff)
downloadcoreutils-9c5fb998646ceb398d287d2d1cd6d521d9e6ad8b.tar.xz
Update for changed behavior of mv.
Diffstat (limited to 'tests/mv/into-self')
-rwxr-xr-xtests/mv/into-self33
1 files changed, 29 insertions, 4 deletions
diff --git a/tests/mv/into-self b/tests/mv/into-self
index 860940aaf..aa39e653a 100755
--- a/tests/mv/into-self
+++ b/tests/mv/into-self
@@ -1,4 +1,5 @@
#! /bin/sh
+# Demonstrate how mv fails when it tries to move a directory into itself.
: ${MV=mv}
: ${MKDIR=mkdir}
@@ -20,13 +21,37 @@ if test $test_failure = 1; then
fi
fail=0
-$MV $dir $file $dir || fail=1
+
+# Make sure we get English translations.
+LANGUAGE=C
+export LANGUAGE
+LC_ALL=C
+export LC_ALL
+LANG=C
+export LANG
+
+# This mv command should fail.
+$MV $dir $file $dir > out 2>&1 && fail=1
+
+sed \
+ -e "s,$MV:,XXX:," \
+ -e "s,$dir,SRC," \
+ -e "s,$dir/$dir,DEST," \
+ out > out2
+
+cat > exp <<\EOF
+XXX: cannot move `SRC' to a subdirectory of itself, `DEST'
+EOF
+
+cmp out2 exp || fail=1
+
# Make sure the file is gone.
test -f $file && fail=1
-# Make sure the directory is *not* gone.
-test -d $dir/$dir/a/b || fail=1
+# Make sure the directory is *not* moved.
+test -d $dir || fail=1
+test -d $dir/$dir && fail=1
# Make sure the file has been moved to the right place.
test -f $dir/$file || fail=1
-$RM -rf $dir $file
+$RM -rf $dir $file out out2 exp
exit $fail